/* 
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $id$
 */

package com.sun.ts.tests.jaxrs.spec.resourceconstructor;

import javax.ws.rs.GET;
import javax.ws.rs.HeaderParam;
import javax.ws.rs.Path;

@Path("resource/header")
public class HeaderResource {
	String header;

	public HeaderResource(@HeaderParam("param") String header) {
		this.header = header;
	}

	@GET
	public String get() {
		return header;
	}
}
